IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network241.2.167.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
- Network address
241.2.167.0- Broadcast address
241.2.167.255- First usable
241.2.167.1- Last usable
241.2.167.254- Usable hosts
- 254 (256 less the network and broadcast addresses)
- Subnet mask
255.255.255.0- Wildcard mask
0.0.0.255(Cisco ACLs, OSPF)- Prefix length
- /24
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
F102A700· Integer4043482880to4043483135 - Reverse DNS zone
167.2.241.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11110001.00000010.10100111..00000000 | 241.2.167.0 |
| Subnet mask | 11111111.11111111.11111111..00000000 | 255.255.255.0 |
| Network | 11110001.00000010.10100111..00000000 | 241.2.167.0 |
| Broadcast | 11110001.00000010.10100111..11111111 | 241.2.167.255 |
Split into smaller subnets
241.2.167.0/24 makes 256 subnets of /32.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 241.2.167.0/32 | 241.2.167.0 to 241.2.167.0 | — | 1 |
| 2 | 241.2.167.1/32 | 241.2.167.1 to 241.2.167.1 | — | 1 |
| 3 | 241.2.167.2/32 | 241.2.167.2 to 241.2.167.2 | — | 1 |
| 4 | 241.2.167.3/32 | 241.2.167.3 to 241.2.167.3 | — | 1 |
| 5 | 241.2.167.4/32 | 241.2.167.4 to 241.2.167.4 | — | 1 |
| 6 | 241.2.167.5/32 | 241.2.167.5 to 241.2.167.5 | — | 1 |
| 7 | 241.2.167.6/32 | 241.2.167.6 to 241.2.167.6 | — | 1 |
| 8 | 241.2.167.7/32 | 241.2.167.7 to 241.2.167.7 | — | 1 |
| 9 | 241.2.167.8/32 | 241.2.167.8 to 241.2.167.8 | — | 1 |
| 10 | 241.2.167.9/32 | 241.2.167.9 to 241.2.167.9 | — | 1 |
| 11 | 241.2.167.10/32 | 241.2.167.10 to 241.2.167.10 | — | 1 |
| 12 | 241.2.167.11/32 | 241.2.167.11 to 241.2.167.11 | — | 1 |
| 13 | 241.2.167.12/32 | 241.2.167.12 to 241.2.167.12 | — | 1 |
| 14 | 241.2.167.13/32 | 241.2.167.13 to 241.2.167.13 | — | 1 |
| 15 | 241.2.167.14/32 | 241.2.167.14 to 241.2.167.14 | — | 1 |
| 16 | 241.2.167.15/32 | 241.2.167.15 to 241.2.167.15 | — | 1 |
| 17 | 241.2.167.16/32 | 241.2.167.16 to 241.2.167.16 | — | 1 |
| 18 | 241.2.167.17/32 | 241.2.167.17 to 241.2.167.17 | — | 1 |
| 19 | 241.2.167.18/32 | 241.2.167.18 to 241.2.167.18 | — | 1 |
| 20 | 241.2.167.19/32 | 241.2.167.19 to 241.2.167.19 | — | 1 |
| 21 | 241.2.167.20/32 | 241.2.167.20 to 241.2.167.20 | — | 1 |
| 22 | 241.2.167.21/32 | 241.2.167.21 to 241.2.167.21 | — | 1 |
| 23 | 241.2.167.22/32 | 241.2.167.22 to 241.2.167.22 | — | 1 |
| 24 | 241.2.167.23/32 | 241.2.167.23 to 241.2.167.23 | — | 1 |
| 25 | 241.2.167.24/32 | 241.2.167.24 to 241.2.167.24 | — | 1 |
| 26 | 241.2.167.25/32 | 241.2.167.25 to 241.2.167.25 | — | 1 |
| 27 | 241.2.167.26/32 | 241.2.167.26 to 241.2.167.26 | — | 1 |
| 28 | 241.2.167.27/32 | 241.2.167.27 to 241.2.167.27 | — | 1 |
| 29 | 241.2.167.28/32 | 241.2.167.28 to 241.2.167.28 | — | 1 |
| 30 | 241.2.167.29/32 | 241.2.167.29 to 241.2.167.29 | — | 1 |
| 31 | 241.2.167.30/32 | 241.2.167.30 to 241.2.167.30 | — | 1 |
| 32 | 241.2.167.31/32 | 241.2.167.31 to 241.2.167.31 | — | 1 |
| 33 | 241.2.167.32/32 | 241.2.167.32 to 241.2.167.32 | — | 1 |
| 34 | 241.2.167.33/32 | 241.2.167.33 to 241.2.167.33 | — | 1 |
| 35 | 241.2.167.34/32 | 241.2.167.34 to 241.2.167.34 | — | 1 |
| 36 | 241.2.167.35/32 | 241.2.167.35 to 241.2.167.35 | — | 1 |
| 37 | 241.2.167.36/32 | 241.2.167.36 to 241.2.167.36 | — | 1 |
| 38 | 241.2.167.37/32 | 241.2.167.37 to 241.2.167.37 | — | 1 |
| 39 | 241.2.167.38/32 | 241.2.167.38 to 241.2.167.38 | — | 1 |
| 40 | 241.2.167.39/32 | 241.2.167.39 to 241.2.167.39 | — | 1 |
| 41 | 241.2.167.40/32 | 241.2.167.40 to 241.2.167.40 | — | 1 |
| 42 | 241.2.167.41/32 | 241.2.167.41 to 241.2.167.41 | — | 1 |
| 43 | 241.2.167.42/32 | 241.2.167.42 to 241.2.167.42 | — | 1 |
| 44 | 241.2.167.43/32 | 241.2.167.43 to 241.2.167.43 | — | 1 |
| 45 | 241.2.167.44/32 | 241.2.167.44 to 241.2.167.44 | — | 1 |
| 46 | 241.2.167.45/32 | 241.2.167.45 to 241.2.167.45 | — | 1 |
| 47 | 241.2.167.46/32 | 241.2.167.46 to 241.2.167.46 | — | 1 |
| 48 | 241.2.167.47/32 | 241.2.167.47 to 241.2.167.47 | — | 1 |
| 49 | 241.2.167.48/32 | 241.2.167.48 to 241.2.167.48 | — | 1 |
| 50 | 241.2.167.49/32 | 241.2.167.49 to 241.2.167.49 | — | 1 |
| 51 | 241.2.167.50/32 | 241.2.167.50 to 241.2.167.50 | — | 1 |
| 52 | 241.2.167.51/32 | 241.2.167.51 to 241.2.167.51 | — | 1 |
| 53 | 241.2.167.52/32 | 241.2.167.52 to 241.2.167.52 | — | 1 |
| 54 | 241.2.167.53/32 | 241.2.167.53 to 241.2.167.53 | — | 1 |
| 55 | 241.2.167.54/32 | 241.2.167.54 to 241.2.167.54 | — | 1 |
| 56 | 241.2.167.55/32 | 241.2.167.55 to 241.2.167.55 | — | 1 |
| 57 | 241.2.167.56/32 | 241.2.167.56 to 241.2.167.56 | — | 1 |
| 58 | 241.2.167.57/32 | 241.2.167.57 to 241.2.167.57 | — | 1 |
| 59 | 241.2.167.58/32 | 241.2.167.58 to 241.2.167.58 | — | 1 |
| 60 | 241.2.167.59/32 | 241.2.167.59 to 241.2.167.59 | — | 1 |
| 61 | 241.2.167.60/32 | 241.2.167.60 to 241.2.167.60 | — | 1 |
| 62 | 241.2.167.61/32 | 241.2.167.61 to 241.2.167.61 | — | 1 |
| 63 | 241.2.167.62/32 | 241.2.167.62 to 241.2.167.62 | — | 1 |
| 64 | 241.2.167.63/32 | 241.2.167.63 to 241.2.167.63 | — | 1 |
| 65 | 241.2.167.64/32 | 241.2.167.64 to 241.2.167.64 | — | 1 |
| 66 | 241.2.167.65/32 | 241.2.167.65 to 241.2.167.65 | — | 1 |
| 67 | 241.2.167.66/32 | 241.2.167.66 to 241.2.167.66 | — | 1 |
| 68 | 241.2.167.67/32 | 241.2.167.67 to 241.2.167.67 | — | 1 |
| 69 | 241.2.167.68/32 | 241.2.167.68 to 241.2.167.68 | — | 1 |
| 70 | 241.2.167.69/32 | 241.2.167.69 to 241.2.167.69 | — | 1 |
| 71 | 241.2.167.70/32 | 241.2.167.70 to 241.2.167.70 | — | 1 |
| 72 | 241.2.167.71/32 | 241.2.167.71 to 241.2.167.71 | — | 1 |
| 73 | 241.2.167.72/32 | 241.2.167.72 to 241.2.167.72 | — | 1 |
| 74 | 241.2.167.73/32 | 241.2.167.73 to 241.2.167.73 | — | 1 |
| 75 | 241.2.167.74/32 | 241.2.167.74 to 241.2.167.74 | — | 1 |
| 76 | 241.2.167.75/32 | 241.2.167.75 to 241.2.167.75 | — | 1 |
| 77 | 241.2.167.76/32 | 241.2.167.76 to 241.2.167.76 | — | 1 |
| 78 | 241.2.167.77/32 | 241.2.167.77 to 241.2.167.77 | — | 1 |
| 79 | 241.2.167.78/32 | 241.2.167.78 to 241.2.167.78 | — | 1 |
| 80 | 241.2.167.79/32 | 241.2.167.79 to 241.2.167.79 | — | 1 |
| 81 | 241.2.167.80/32 | 241.2.167.80 to 241.2.167.80 | — | 1 |
| 82 | 241.2.167.81/32 | 241.2.167.81 to 241.2.167.81 | — | 1 |
| 83 | 241.2.167.82/32 | 241.2.167.82 to 241.2.167.82 | — | 1 |
| 84 | 241.2.167.83/32 | 241.2.167.83 to 241.2.167.83 | — | 1 |
| 85 | 241.2.167.84/32 | 241.2.167.84 to 241.2.167.84 | — | 1 |
| 86 | 241.2.167.85/32 | 241.2.167.85 to 241.2.167.85 | — | 1 |
| 87 | 241.2.167.86/32 | 241.2.167.86 to 241.2.167.86 | — | 1 |
| 88 | 241.2.167.87/32 | 241.2.167.87 to 241.2.167.87 | — | 1 |
| 89 | 241.2.167.88/32 | 241.2.167.88 to 241.2.167.88 | — | 1 |
| 90 | 241.2.167.89/32 | 241.2.167.89 to 241.2.167.89 | — | 1 |
| 91 | 241.2.167.90/32 | 241.2.167.90 to 241.2.167.90 | — | 1 |
| 92 | 241.2.167.91/32 | 241.2.167.91 to 241.2.167.91 | — | 1 |
| 93 | 241.2.167.92/32 | 241.2.167.92 to 241.2.167.92 | — | 1 |
| 94 | 241.2.167.93/32 | 241.2.167.93 to 241.2.167.93 | — | 1 |
| 95 | 241.2.167.94/32 | 241.2.167.94 to 241.2.167.94 | — | 1 |
| 96 | 241.2.167.95/32 | 241.2.167.95 to 241.2.167.95 | — | 1 |
| 97 | 241.2.167.96/32 | 241.2.167.96 to 241.2.167.96 | — | 1 |
| 98 | 241.2.167.97/32 | 241.2.167.97 to 241.2.167.97 | — | 1 |
| 99 | 241.2.167.98/32 | 241.2.167.98 to 241.2.167.98 | — | 1 |
| 100 | 241.2.167.99/32 | 241.2.167.99 to 241.2.167.99 | — | 1 |
| 101 | 241.2.167.100/32 | 241.2.167.100 to 241.2.167.100 | — | 1 |
| 102 | 241.2.167.101/32 | 241.2.167.101 to 241.2.167.101 | — | 1 |
| 103 | 241.2.167.102/32 | 241.2.167.102 to 241.2.167.102 | — | 1 |
| 104 | 241.2.167.103/32 | 241.2.167.103 to 241.2.167.103 | — | 1 |
| 105 | 241.2.167.104/32 | 241.2.167.104 to 241.2.167.104 | — | 1 |
| 106 | 241.2.167.105/32 | 241.2.167.105 to 241.2.167.105 | — | 1 |
| 107 | 241.2.167.106/32 | 241.2.167.106 to 241.2.167.106 | — | 1 |
| 108 | 241.2.167.107/32 | 241.2.167.107 to 241.2.167.107 | — | 1 |
| 109 | 241.2.167.108/32 | 241.2.167.108 to 241.2.167.108 | — | 1 |
| 110 | 241.2.167.109/32 | 241.2.167.109 to 241.2.167.109 | — | 1 |
| 111 | 241.2.167.110/32 | 241.2.167.110 to 241.2.167.110 | — | 1 |
| 112 | 241.2.167.111/32 | 241.2.167.111 to 241.2.167.111 | — | 1 |
| 113 | 241.2.167.112/32 | 241.2.167.112 to 241.2.167.112 | — | 1 |
| 114 | 241.2.167.113/32 | 241.2.167.113 to 241.2.167.113 | — | 1 |
| 115 | 241.2.167.114/32 | 241.2.167.114 to 241.2.167.114 | — | 1 |
| 116 | 241.2.167.115/32 | 241.2.167.115 to 241.2.167.115 | — | 1 |
| 117 | 241.2.167.116/32 | 241.2.167.116 to 241.2.167.116 | — | 1 |
| 118 | 241.2.167.117/32 | 241.2.167.117 to 241.2.167.117 | — | 1 |
| 119 | 241.2.167.118/32 | 241.2.167.118 to 241.2.167.118 | — | 1 |
| 120 | 241.2.167.119/32 | 241.2.167.119 to 241.2.167.119 | — | 1 |
| 121 | 241.2.167.120/32 | 241.2.167.120 to 241.2.167.120 | — | 1 |
| 122 | 241.2.167.121/32 | 241.2.167.121 to 241.2.167.121 | — | 1 |
| 123 | 241.2.167.122/32 | 241.2.167.122 to 241.2.167.122 | — | 1 |
| 124 | 241.2.167.123/32 | 241.2.167.123 to 241.2.167.123 | — | 1 |
| 125 | 241.2.167.124/32 | 241.2.167.124 to 241.2.167.124 | — | 1 |
| 126 | 241.2.167.125/32 | 241.2.167.125 to 241.2.167.125 | — | 1 |
| 127 | 241.2.167.126/32 | 241.2.167.126 to 241.2.167.126 | — | 1 |
| 128 | 241.2.167.127/32 | 241.2.167.127 to 241.2.167.127 | — | 1 |
| 129 | 241.2.167.128/32 | 241.2.167.128 to 241.2.167.128 | — | 1 |
| 130 | 241.2.167.129/32 | 241.2.167.129 to 241.2.167.129 | — | 1 |
| 131 | 241.2.167.130/32 | 241.2.167.130 to 241.2.167.130 | — | 1 |
| 132 | 241.2.167.131/32 | 241.2.167.131 to 241.2.167.131 | — | 1 |
| 133 | 241.2.167.132/32 | 241.2.167.132 to 241.2.167.132 | — | 1 |
| 134 | 241.2.167.133/32 | 241.2.167.133 to 241.2.167.133 | — | 1 |
| 135 | 241.2.167.134/32 | 241.2.167.134 to 241.2.167.134 | — | 1 |
| 136 | 241.2.167.135/32 | 241.2.167.135 to 241.2.167.135 | — | 1 |
| 137 | 241.2.167.136/32 | 241.2.167.136 to 241.2.167.136 | — | 1 |
| 138 | 241.2.167.137/32 | 241.2.167.137 to 241.2.167.137 | — | 1 |
| 139 | 241.2.167.138/32 | 241.2.167.138 to 241.2.167.138 | — | 1 |
| 140 | 241.2.167.139/32 | 241.2.167.139 to 241.2.167.139 | — | 1 |
| 141 | 241.2.167.140/32 | 241.2.167.140 to 241.2.167.140 | — | 1 |
| 142 | 241.2.167.141/32 | 241.2.167.141 to 241.2.167.141 | — | 1 |
| 143 | 241.2.167.142/32 | 241.2.167.142 to 241.2.167.142 | — | 1 |
| 144 | 241.2.167.143/32 | 241.2.167.143 to 241.2.167.143 | — | 1 |
| 145 | 241.2.167.144/32 | 241.2.167.144 to 241.2.167.144 | — | 1 |
| 146 | 241.2.167.145/32 | 241.2.167.145 to 241.2.167.145 | — | 1 |
| 147 | 241.2.167.146/32 | 241.2.167.146 to 241.2.167.146 | — | 1 |
| 148 | 241.2.167.147/32 | 241.2.167.147 to 241.2.167.147 | — | 1 |
| 149 | 241.2.167.148/32 | 241.2.167.148 to 241.2.167.148 | — | 1 |
| 150 | 241.2.167.149/32 | 241.2.167.149 to 241.2.167.149 | — | 1 |
| 151 | 241.2.167.150/32 | 241.2.167.150 to 241.2.167.150 | — | 1 |
| 152 | 241.2.167.151/32 | 241.2.167.151 to 241.2.167.151 | — | 1 |
| 153 | 241.2.167.152/32 | 241.2.167.152 to 241.2.167.152 | — | 1 |
| 154 | 241.2.167.153/32 | 241.2.167.153 to 241.2.167.153 | — | 1 |
| 155 | 241.2.167.154/32 | 241.2.167.154 to 241.2.167.154 | — | 1 |
| 156 | 241.2.167.155/32 | 241.2.167.155 to 241.2.167.155 | — | 1 |
| 157 | 241.2.167.156/32 | 241.2.167.156 to 241.2.167.156 | — | 1 |
| 158 | 241.2.167.157/32 | 241.2.167.157 to 241.2.167.157 | — | 1 |
| 159 | 241.2.167.158/32 | 241.2.167.158 to 241.2.167.158 | — | 1 |
| 160 | 241.2.167.159/32 | 241.2.167.159 to 241.2.167.159 | — | 1 |
| 161 | 241.2.167.160/32 | 241.2.167.160 to 241.2.167.160 | — | 1 |
| 162 | 241.2.167.161/32 | 241.2.167.161 to 241.2.167.161 | — | 1 |
| 163 | 241.2.167.162/32 | 241.2.167.162 to 241.2.167.162 | — | 1 |
| 164 | 241.2.167.163/32 | 241.2.167.163 to 241.2.167.163 | — | 1 |
| 165 | 241.2.167.164/32 | 241.2.167.164 to 241.2.167.164 | — | 1 |
| 166 | 241.2.167.165/32 | 241.2.167.165 to 241.2.167.165 | — | 1 |
| 167 | 241.2.167.166/32 | 241.2.167.166 to 241.2.167.166 | — | 1 |
| 168 | 241.2.167.167/32 | 241.2.167.167 to 241.2.167.167 | — | 1 |
| 169 | 241.2.167.168/32 | 241.2.167.168 to 241.2.167.168 | — | 1 |
| 170 | 241.2.167.169/32 | 241.2.167.169 to 241.2.167.169 | — | 1 |
| 171 | 241.2.167.170/32 | 241.2.167.170 to 241.2.167.170 | — | 1 |
| 172 | 241.2.167.171/32 | 241.2.167.171 to 241.2.167.171 | — | 1 |
| 173 | 241.2.167.172/32 | 241.2.167.172 to 241.2.167.172 | — | 1 |
| 174 | 241.2.167.173/32 | 241.2.167.173 to 241.2.167.173 | — | 1 |
| 175 | 241.2.167.174/32 | 241.2.167.174 to 241.2.167.174 | — | 1 |
| 176 | 241.2.167.175/32 | 241.2.167.175 to 241.2.167.175 | — | 1 |
| 177 | 241.2.167.176/32 | 241.2.167.176 to 241.2.167.176 | — | 1 |
| 178 | 241.2.167.177/32 | 241.2.167.177 to 241.2.167.177 | — | 1 |
| 179 | 241.2.167.178/32 | 241.2.167.178 to 241.2.167.178 | — | 1 |
| 180 | 241.2.167.179/32 | 241.2.167.179 to 241.2.167.179 | — | 1 |
| 181 | 241.2.167.180/32 | 241.2.167.180 to 241.2.167.180 | — | 1 |
| 182 | 241.2.167.181/32 | 241.2.167.181 to 241.2.167.181 | — | 1 |
| 183 | 241.2.167.182/32 | 241.2.167.182 to 241.2.167.182 | — | 1 |
| 184 | 241.2.167.183/32 | 241.2.167.183 to 241.2.167.183 | — | 1 |
| 185 | 241.2.167.184/32 | 241.2.167.184 to 241.2.167.184 | — | 1 |
| 186 | 241.2.167.185/32 | 241.2.167.185 to 241.2.167.185 | — | 1 |
| 187 | 241.2.167.186/32 | 241.2.167.186 to 241.2.167.186 | — | 1 |
| 188 | 241.2.167.187/32 | 241.2.167.187 to 241.2.167.187 | — | 1 |
| 189 | 241.2.167.188/32 | 241.2.167.188 to 241.2.167.188 | — | 1 |
| 190 | 241.2.167.189/32 | 241.2.167.189 to 241.2.167.189 | — | 1 |
| 191 | 241.2.167.190/32 | 241.2.167.190 to 241.2.167.190 | — | 1 |
| 192 | 241.2.167.191/32 | 241.2.167.191 to 241.2.167.191 | — | 1 |
| 193 | 241.2.167.192/32 | 241.2.167.192 to 241.2.167.192 | — | 1 |
| 194 | 241.2.167.193/32 | 241.2.167.193 to 241.2.167.193 | — | 1 |
| 195 | 241.2.167.194/32 | 241.2.167.194 to 241.2.167.194 | — | 1 |
| 196 | 241.2.167.195/32 | 241.2.167.195 to 241.2.167.195 | — | 1 |
| 197 | 241.2.167.196/32 | 241.2.167.196 to 241.2.167.196 | — | 1 |
| 198 | 241.2.167.197/32 | 241.2.167.197 to 241.2.167.197 | — | 1 |
| 199 | 241.2.167.198/32 | 241.2.167.198 to 241.2.167.198 | — | 1 |
| 200 | 241.2.167.199/32 | 241.2.167.199 to 241.2.167.199 | — | 1 |
| 201 | 241.2.167.200/32 | 241.2.167.200 to 241.2.167.200 | — | 1 |
| 202 | 241.2.167.201/32 | 241.2.167.201 to 241.2.167.201 | — | 1 |
| 203 | 241.2.167.202/32 | 241.2.167.202 to 241.2.167.202 | — | 1 |
| 204 | 241.2.167.203/32 | 241.2.167.203 to 241.2.167.203 | — | 1 |
| 205 | 241.2.167.204/32 | 241.2.167.204 to 241.2.167.204 | — | 1 |
| 206 | 241.2.167.205/32 | 241.2.167.205 to 241.2.167.205 | — | 1 |
| 207 | 241.2.167.206/32 | 241.2.167.206 to 241.2.167.206 | — | 1 |
| 208 | 241.2.167.207/32 | 241.2.167.207 to 241.2.167.207 | — | 1 |
| 209 | 241.2.167.208/32 | 241.2.167.208 to 241.2.167.208 | — | 1 |
| 210 | 241.2.167.209/32 | 241.2.167.209 to 241.2.167.209 | — | 1 |
| 211 | 241.2.167.210/32 | 241.2.167.210 to 241.2.167.210 | — | 1 |
| 212 | 241.2.167.211/32 | 241.2.167.211 to 241.2.167.211 | — | 1 |
| 213 | 241.2.167.212/32 | 241.2.167.212 to 241.2.167.212 | — | 1 |
| 214 | 241.2.167.213/32 | 241.2.167.213 to 241.2.167.213 | — | 1 |
| 215 | 241.2.167.214/32 | 241.2.167.214 to 241.2.167.214 | — | 1 |
| 216 | 241.2.167.215/32 | 241.2.167.215 to 241.2.167.215 | — | 1 |
| 217 | 241.2.167.216/32 | 241.2.167.216 to 241.2.167.216 | — | 1 |
| 218 | 241.2.167.217/32 | 241.2.167.217 to 241.2.167.217 | — | 1 |
| 219 | 241.2.167.218/32 | 241.2.167.218 to 241.2.167.218 | — | 1 |
| 220 | 241.2.167.219/32 | 241.2.167.219 to 241.2.167.219 | — | 1 |
| 221 | 241.2.167.220/32 | 241.2.167.220 to 241.2.167.220 | — | 1 |
| 222 | 241.2.167.221/32 | 241.2.167.221 to 241.2.167.221 | — | 1 |
| 223 | 241.2.167.222/32 | 241.2.167.222 to 241.2.167.222 | — | 1 |
| 224 | 241.2.167.223/32 | 241.2.167.223 to 241.2.167.223 | — | 1 |
| 225 | 241.2.167.224/32 | 241.2.167.224 to 241.2.167.224 | — | 1 |
| 226 | 241.2.167.225/32 | 241.2.167.225 to 241.2.167.225 | — | 1 |
| 227 | 241.2.167.226/32 | 241.2.167.226 to 241.2.167.226 | — | 1 |
| 228 | 241.2.167.227/32 | 241.2.167.227 to 241.2.167.227 | — | 1 |
| 229 | 241.2.167.228/32 | 241.2.167.228 to 241.2.167.228 | — | 1 |
| 230 | 241.2.167.229/32 | 241.2.167.229 to 241.2.167.229 | — | 1 |
| 231 | 241.2.167.230/32 | 241.2.167.230 to 241.2.167.230 | — | 1 |
| 232 | 241.2.167.231/32 | 241.2.167.231 to 241.2.167.231 | — | 1 |
| 233 | 241.2.167.232/32 | 241.2.167.232 to 241.2.167.232 | — | 1 |
| 234 | 241.2.167.233/32 | 241.2.167.233 to 241.2.167.233 | — | 1 |
| 235 | 241.2.167.234/32 | 241.2.167.234 to 241.2.167.234 | — | 1 |
| 236 | 241.2.167.235/32 | 241.2.167.235 to 241.2.167.235 | — | 1 |
| 237 | 241.2.167.236/32 | 241.2.167.236 to 241.2.167.236 | — | 1 |
| 238 | 241.2.167.237/32 | 241.2.167.237 to 241.2.167.237 | — | 1 |
| 239 | 241.2.167.238/32 | 241.2.167.238 to 241.2.167.238 | — | 1 |
| 240 | 241.2.167.239/32 | 241.2.167.239 to 241.2.167.239 | — | 1 |
| 241 | 241.2.167.240/32 | 241.2.167.240 to 241.2.167.240 | — | 1 |
| 242 | 241.2.167.241/32 | 241.2.167.241 to 241.2.167.241 | — | 1 |
| 243 | 241.2.167.242/32 | 241.2.167.242 to 241.2.167.242 | — | 1 |
| 244 | 241.2.167.243/32 | 241.2.167.243 to 241.2.167.243 | — | 1 |
| 245 | 241.2.167.244/32 | 241.2.167.244 to 241.2.167.244 | — | 1 |
| 246 | 241.2.167.245/32 | 241.2.167.245 to 241.2.167.245 | — | 1 |
| 247 | 241.2.167.246/32 | 241.2.167.246 to 241.2.167.246 | — | 1 |
| 248 | 241.2.167.247/32 | 241.2.167.247 to 241.2.167.247 | — | 1 |
| 249 | 241.2.167.248/32 | 241.2.167.248 to 241.2.167.248 | — | 1 |
| 250 | 241.2.167.249/32 | 241.2.167.249 to 241.2.167.249 | — | 1 |
| 251 | 241.2.167.250/32 | 241.2.167.250 to 241.2.167.250 | — | 1 |
| 252 | 241.2.167.251/32 | 241.2.167.251 to 241.2.167.251 | — | 1 |
| 253 | 241.2.167.252/32 | 241.2.167.252 to 241.2.167.252 | — | 1 |
| 254 | 241.2.167.253/32 | 241.2.167.253 to 241.2.167.253 | — | 1 |
| 255 | 241.2.167.254/32 | 241.2.167.254 to 241.2.167.254 | — | 1 |
| 256 | 241.2.167.255/32 | 241.2.167.255 to 241.2.167.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |